\name{build.target}
\alias{build.target}
\title{
Creating a covariance target, optionally by using information from KEGG pathways.
}
\description{
The function build.target() is a wrapper function to build the various types of
covariance targets (D,F,G,Gpos,Gstar,cor).
}
\usage{ 
build.target(x, genegroups = NULL, type)
}

\arguments{
  \item{x}{ An \eqn{n \times p} matrix.
}
  \item{genegroups}{
List of the groups each gene belongs to: each entry of the list is dedicated to a 
gene (identified the same way as in \eqn{x}). Each item of the list is thus a vector 
of all Pathway IDs.
}
  \item{type}{Character string, type of target the user wants to compute : "D" for a diagonal target, 
  "cor" for a correlation target, "G", "Gpos" and "Gstar" for a G-type target and "F" for an F-target.
      
}
}
\value{
A \eqn{p \times p} target covariance matrix of a certain type.
}
\references{
 ? 
}
\author{
Monika Jelizarow and Vincent Guillemot
}
\seealso{
\code{\link{targetCor.help}}, \code{\link{targetD.help}}, \code{\link{targetF.help}}, 
\code{\link{targetG.help}}, \code{\link{targetGpos.help}}, \code{\link{targetGstar.help}},.
}
\examples{
# Simulate dataset
x <- matrix(rnorm(20*30),20,30)
# Try different targets
build.target(x,type="D")

}
\keyword{methods}

