\name{targetD}
\alias{targetD}
\title{
Computation of the diagonal target D ('diagonal, unequal variances').
}
\description{
The \eqn{p \times p} diagonal target \eqn{\bf D} is computed from the \eqn{n \times p} data matrix \eqn{\bf X}.
It is defined as follows (\eqn{i,j = 1,...,p}):
\deqn{t_{ij}=\left\{
\begin {array} {ll}
s_{ii}\;&\mbox{if}\;i=j\\
0\;&\mbox{if}\;i\neq j\\
\end {array}
\right.} where \eqn{s_{ij}} denotes the entry of the unbiased covariance matrix in row \eqn{i}, column \eqn{j}.
}
\usage{
targetD(x, genegroups)
}
\arguments{
  \item{x}{ A \eqn{n \times p} data matrix.
}
  \item{genegroups}{The genegroups are not used for this target.
}
}
\value{
A \eqn{p \times p} diagonal matrix.
}
\references{
Schaefer, J., and K. Strimmer. 2005. A shrinkage approach to large-scale 
covariance matrix estimation and implications for functional genomics. 
Statist. Appl. Genet. Mol. Biol. 4: 32 }
\author{
Monika Jelizarow and Vincent Guillemot
}

\seealso{
\code{\link{targetCor}}, 
\code{\link{targetF}}, 
\code{\link{targetG}}, 
\code{\link{targetGstar}}, 
\code{\link{targetGpos}}. 
}
\examples{
x <- matrix(rnorm(10*30),10,30)
tar <- targetD(x,NULL)
}
\keyword{methods}
\keyword{multivariate}
